import argparse


def main(character, number):
    print(character * number)


if __name__ == '__main__':

    parser = argparse.ArgumentParser()
    parser.add_argument('number', type=int, help='Liczba powtórzeń')
    parser.add_argument('-c', type=str, help='Wyświetlany znak',
                        default='#')
    parser.add_argument('-U', action='store_true', default=False,
                        dest='uppercase',
                        help='Zmienia literę w wielką')

    args = parser.parse_args()

    if args.uppercase:
        args.c = args.c.upper()

    main(args.c, args.number)
